Get a configuration version with its snapshot
GET
/api/v1/projects/{projectId}/schema/versions/{versionId}
const url = 'https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/schema/versions/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/schema/versions/exampleThe detail carries the full configuration snapshot recorded at promotion.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string format: uuid
versionId
required
string
Responses
Section titled “Responses”OK
Media type*/*
object
summary
required
object
id
required
string
versionNumber
required
integer format: int32
versionName
required
string
description
string | null
status
required
string
sourceType
required
string
schemaHash
string | null
changeCount
required
integer format: int32
rollbackVersionId
string | null
parentVersionId
string | null
createdAt
required
string format: date-time
createdBy
required
string format: uuid
snapshot
string | null